## libayatana-appindicator 0.5.90

=== src/CMakeLists.txt ===
set(HEADERS
    app-indicator.h
)

set(SOURCES
    app-indicator.c
    app-indicator-enum-types.c
    application-service-marshal.c
    generate-id.c
    gen-notification-item.xml.c
    gen-notification-watcher.xml.c
)

if (FLAVOUR_GTK3)
    set (ayatana_appindicator_gtkver "ayatana-appindicator3")
    set (ayatana_appindicator_girver "AyatanaAppIndicator3")
    set (gtk_girver "Gtk-3.0")
elseif (FLAVOUR_GTK2)
    set (ayatana_appindicator_gtkver "ayatana-appindicator")
    set (ayatana_appindicator_girver "AyatanaAppIndicator")
    set (gtk_girver "Gtk-2.0")
endif()

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/app-indicator.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_appindicator_gtkver}-0.1/libayatana-appindicator")

# ayatana-appindicator{,3}-0.1.pc

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${ayatana_appindicator_gtkver}-0.1.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_gtkver}-0.1.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_gtkver}-0.1.pc" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")

# app-indicator-enum-types.h

find_program(GLIB_MKENUMS glib-mkenums)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template app-indicator-enum-types.h.in
    ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h"
)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h" DESTINATION "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lib${ayatana_appindicator_gtkver}-0.1/libayatana-appindicator")

# app-indicator-enum-types.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_MKENUMS}
    --template app-indicator-enum-types.c.in
    ${HEADERS}
    --output="${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.c"
)

find_program(GLIB_GENMARSHAL glib-genmarshal)

# application-service-marshal.h

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/app-indicator-enum-types.c"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_application_service_marshal
    --header application-service-marshal.list
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
)

# application-service-marshal.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.c"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.h"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${GLIB_GENMARSHAL}
    --prefix=_application_service_marshal
    --body application-service-marshal.list
    --include-header=application-service-marshal.h
    --quiet
    --output="${CMAKE_CURRENT_BINARY_DIR}/application-service-marshal.c"
)

# gen-notification-item.xml.h

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-item.xml.h" "extern const char * _notification_item;")

# gen-notification-item.xml.c

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/notification-item.xml" GEN_NOTIFICATION_ITEM_XML_C)
string(REPLACE "\"" "\\\"" GEN_NOTIFICATION_ITEM_XML_C ${GEN_NOTIFICATION_ITEM_XML_C})
string(REPLACE "\n" "\\n\"\n\"" GEN_NOTIFICATION_ITEM_XML_C ${GEN_NOTIFICATION_ITEM_XML_C})
string(REGEX REPLACE "\n\"$" "\n" GEN_NOTIFICATION_ITEM_XML_C ${GEN_NOTIFICATION_ITEM_XML_C})
string(PREPEND GEN_NOTIFICATION_ITEM_XML_C "const char * _notification_item = \n\"")
string(APPEND GEN_NOTIFICATION_ITEM_XML_C "\;")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-item.xml.c" ${GEN_NOTIFICATION_ITEM_XML_C})

# gen-notification-watcher.xml.h

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-watcher.xml.h" "extern const char * _notification_watcher;")

# gen-notification-watcher.xml.c

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/notification-watcher.xml" GEN_NOTIFICATION_WATCHER_XML_C)
string(REPLACE "\"" "\\\"" GEN_NOTIFICATION_WATCHER_XML_C ${GEN_NOTIFICATION_WATCHER_XML_C})
string(REPLACE "\n" "\\n\"\n\"" GEN_NOTIFICATION_WATCHER_XML_C ${GEN_NOTIFICATION_WATCHER_XML_C})
string(REGEX REPLACE "\n\"$" "\n" GEN_NOTIFICATION_WATCHER_XML_C ${GEN_NOTIFICATION_WATCHER_XML_C})
string(PREPEND GEN_NOTIFICATION_WATCHER_XML_C "const char * _notification_watcher = \n\"")
string(APPEND GEN_NOTIFICATION_WATCHER_XML_C "\;")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/gen-notification-watcher.xml.c" ${GEN_NOTIFICATION_WATCHER_XML_C})

# libayatana-appindicator{,3}.so

set_source_files_properties(${SOURCES} PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS})
add_library("${ayatana_appindicator_gtkver}" SHARED ${SOURCES})
set_target_properties("${ayatana_appindicator_gtkver}" PROPERTIES VERSION 1.0.0 SOVERSION 1)
target_compile_definitions("${ayatana_appindicator_gtkver}" PUBLIC G_LOG_DOMAIN="libayatana-appindicator")
target_include_directories("${ayatana_appindicator_gtkver}" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("${ayatana_appindicator_gtkver}" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories("${ayatana_appindicator_gtkver}" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_link_libraries("${ayatana_appindicator_gtkver}" ${PROJECT_DEPS_LIBRARIES})
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_appindicator_gtkver}.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_appindicator_gtkver}.so.1" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lib${ayatana_appindicator_gtkver}.so.1.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")

# AyatanaAppIndicator{,3}-0.1.gir

find_package(GObjectIntrospection REQUIRED)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir"
    DEPENDS "${ayatana_appindicator_gtkver}"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${INTROSPECTION_SCANNER}
    app-indicator.c ${HEADERS}
    --add-include-path=${CMAKE_CURRENT_BINARY_DIR}
    --c-include=libayatana-appindicator/app-indicator.h
    --symbol-prefix=app
    --identifier-prefix=App
    --namespace=${ayatana_appindicator_girver}
    --nsversion=0.1
    --quiet
    --warn-all
    --include=GObject-2.0
    --include=${gtk_girver}
    --library-path=${CMAKE_CURRENT_BINARY_DIR}
    --library="${ayatana_appindicator_gtkver}"
    --output "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir"
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/gir-1.0")

# AyatanaAppIndicator{,3}-0.1.typelib

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND
    ${INTROSPECTION_COMPILER}
    --includedir=${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.gir
    -o "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib"
)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/girepository-1.0")

add_custom_target(src ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${ayatana_appindicator_girver}-0.1.typelib")

=== bindings/mono/examples/CMakeLists.txt ===
# ayatana-indicator-example

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator-example.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example" @ONLY)

# AyatanaIndicatorExample.exe

find_program(MONO mono)

if (FLAVOUR_GTK3)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            DEPENDS "bindings-mono"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${MCS}
            -out:"${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            -target:exe
            ${GTK_SHARP_3_0_LDFLAGS} "-r:${CMAKE_BINARY_DIR}/bindings/mono/ayatana-appindicator3-sharp.dll" "${CMAKE_CURRENT_SOURCE_DIR}/AyatanaIndicatorExample.cs"
        )
elseif (FLAVOUR_GTK2)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            DEPENDS "bindings-mono"
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMAND
            ${MCS}
            -out:"${CMAKE_CURRENT_BINARY_DIR}/AyatanaIndicatorExample.exe"
            -target:exe
            ${GTK_SHARP_2_0_LDFLAGS} "-r:${CMAKE_BINARY_DIR}/bindings/mono/ayatana-appindicator-sharp.dll" "${CMAKE_CURRENT_SOURCE_DIR}/AyatanaIndicatorExample.cs"
        )
endif()

add_custom_target("bindings-mono-examples" ALL DEPENDS "AyatanaIndicatorExample.exe")

=== bindings/vala/examples/CMakeLists.txt ===
# ayatana-indicator-example.c

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c"
    DEPENDS "bindings-vala"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND
    ${VALA_COMPILER}
    --pkg ayatana-appindicator3-0.1
    --pkg gtk+-3.0
    --vapidir=${CMAKE_BINARY_DIR}/bindings/vala
    -C ayatana-indicator-example.vala
    --metadatadir "${CMAKE_SOURCE_DIR}/src"
    --directory=${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM
    COMMAND
    sed
    -i "s|#include\\s*<\\s*libayatana-appindicator/app-indicator.h\\s*>||g"
    "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c"
)

# ayatana-indicator-example

set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c" PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -include ${CMAKE_SOURCE_DIR}/src/app-indicator.h")
add_executable("ayatana-indicator-example" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-example.c")
target_include_directories("ayatana-indicator-example" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_link_libraries("ayatana-indicator-example" "${PROJECT_DEPS_LIBRARIES} -layatana-appindicator3 -L${CMAKE_BINARY_DIR}/src")

=== debian/changelog ===
libayatana-appindicator (0.5.90-7ubuntu2) jammy; urgency=medium

  * debian/control:
    - version the provides to match depends constrains

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Mar 2022 15:09:30 +0200

libayatana-appindicator (0.5.90-7ubuntu1) jammy; urgency=medium

  * debian/control:
    - Use standard Conflicts/Replaces/Provides for libappindicator
      without specifying versions (lp: #1964964)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Mar 2022 12:23:25 +0200

libayatana-appindicator (0.5.90-7) unstable; urgency=medium

  * debian/control:
    + Add version to B:/R:. Add Provides: field for libappindicator
      compatibility. (Closes: #996201).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Mar 2022 21:49:56 +0100

libayatana-appindicator (0.5.90-6) unstable; urgency=medium

  * debian/control:
    + Add B:/R: rules so that libayatana-appindicator will finally replace
      libappindicator.
  * debian/:
    + Provide libappindicator compat files for runtime. This re-adds support
      for 3rd party apps that have been built against Canonical's
      libappindicator rather than libayatana-appindicator. (Closes: #996201).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Mar 2022 19:38:16 +0100

libayatana-appindicator (0.5.90-5) unstable; urgency=medium

  * debian/patches:
    + Add 0001-src-ayatana-appindicator-0.1.pc.in-Adapt-file-for-CM.patch and
      0002-src-ayatana-appindicator3-0.1.pc.in-Update-descripti.patch. Resolves
      bad GTK-2+ .pc file. (Thanks to Unit193 for spotting and reporting this).
  * debian/control:
    + Add missing libayatana-indicator*-dev dependency to dev:pkgs. (Also,
      thanks to Unit193).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Dec 2021 08:09:41 +0100

libayatana-appindicator (0.5.90-4) unstable; urgency=medium

  * debian/rules:
    + Correct build option: -DENABLE_MONO_BINDINGS -> -DENABLE_BINDINGS_MONO.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Dec 2021 13:43:09 +0100

libayatana-appindicator (0.5.90-3) unstable; urgency=medium

  * debian/rules:
    + Set configure option -DENABLE_MONO_BINDINGS=OFF for architectures of
      Debian that don't have Mono.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Dec 2021 10:57:36 +0100

libayatana-appindicator (0.5.90-2) unstable; urgency=medium

  * debian/rules:
    + Fix dh_install, dh_missing and dh_link overrides when doing arch:any-only
      and arch:all-only builds. Resolves FSBFS on Debian's buildd
      infrastructure.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Dec 2021 00:10:08 +0100

libayatana-appindicator (0.5.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_dbus-test-runner-keep-env.patch, drop
      2001_enforce-non-multi-arch-libdir-for-cli-bindings.patch. Not applicable
      anymore.
  * debian/rules:
    + Adjust to new CMake build system.
    + Use upstream's NEWS file as upstream ChangeLog.
    + Check DEB_BUILD_OPTIONS for nocheck before running tests.
  * debian/control:
    + Switch from mate-common to cmake/cmake-extras in B-D: field.
    + Add to B-D gtk-sharp3-gapi and libgtk3.0-cil-dev (for archs that have
      Mono).
    + Bump to Standards-Version: 4.6.0. No changes needed.
  * debian/*.install:
    + Update for v0.5.90.
  * debian/*.symbols:
    + Update symbols for v0.5.90.
  * debian/{control,libayatana-appindicator3-0.1-cil*.install}:
    + Add GTK-3 bindings for Mono as new bin:pkgs.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/watch:
    + Use format version 4.
  * debian/{rules,libayatana-appindicator-doc.*}:
    + Move GTK API documentation to pkg's doc folder.
  * debian/libayatana-appindicator-doc.doc-base:
    + Add file. Register API docs with doc-base system.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 21:09:42 +0100

libayatana-appindicator (0.5.5-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_dbus-test-runner-keep-env.patch. Make sure the build HOME
      variable is propagated into dh_auto_test.
  * debian/rules:
    + Run each set of unit tests in no-parallel mode and fali if unit tests
      fail. This fixes flaky unit tests and stops ignoring those failures.
      (Closes: #982845).
    + Run gtk2/gtk3 unit tests in two different build HOME dirs.
    + No duplicate / nested dh_auto_test calls.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Apr 2021 17:17:22 +0200

=== debian/control ===
Source: libayatana-appindicator
Section: libs
Priority: optional
XS-Python-Version: all
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 3.13),
               cmake-extras (>= 1.5-8~),
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               at-spi2-core,
               cli-common-dev (>= 0.8~) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gobject-introspection,
               intltool,
               gtk-doc-tools,
               libxml2-utils,
               libnunit-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               dbus-test-runner,
               xvfb,
               valac,
               mono-devel (>= 2.4.3) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91.3),
               libgtk2.0-dev (>= 2.12.0),
               procps,
               gtk-sharp3-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk3.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libdbus-glib-1-dev (>= 0.82),
               libayatana-indicator-dev (>= 0.6.0-0~),
               libayatana-indicator3-dev (>= 0.6.0-0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libgirepository1.0-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-appindicator

Package: libayatana-appindicator1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Provides: libappindicator1 (= 12.10)
Conflicts: libappindicator1,
Replaces: libappindicator1,
Description: Ayatana Application Indicators (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-2+.

Package: gir1.2-ayatanaappindicator-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator1 (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-2+ version).

Package: libayatana-appindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libayatana-indicator-dev (>= 0.9.0),
         libdbusmenu-glib-dev (>= 0.1.8),
         libgtk2.0-dev,
         gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
         libayatana-appindicator1 (= ${binary:Version}),
Provides: libappindicator-dev (= 12.10)
Conflicts: libappindicator-dev,
Replaces: libappindicator-dev,
Description: Ayatana Application Indicators (development files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-2+ version).

Package: libayatana-appindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (documentation files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation (GTK-2+ version).

Package: libayatana-appindicator3-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Provides: libappindicator3-1 (= 12.10)
Conflicts: libappindicator3-1,
Replaces: libappindicator3-1,
Description: Ayatana Application Indicators (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-3+.

Package: libayatana-appindicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libayatana-indicator3-dev (>= 0.9.0),
         libdbusmenu-glib-dev (>= 0.1.8),
         libgtk-3-dev,
         gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
         libayatana-appindicator3-1 (= ${binary:Version}),
Provides: libappindicator3-dev (= 12.10)
Conflicts: libappindicator3-dev,
Replaces: libappindicator3-dev,
Description: Ayatana Application Indicators (development files, GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-3+ version).

Package: gir1.2-ayatanaappindicator3-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator3-1 (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-3+ version).

Package: libayatana-appindicator0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by Mono applications.

Package: libayatana-appindicator0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build Mono applications.

Package: libayatana-appindicator3-0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator3
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by GTK-2+ Mono applications.

Package: libayatana-appindicator3-0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator3-0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono (GTK-3+ variant)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build GTK-3+ Mono applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

FLAVOURS = gtk3 gtk2

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

API_VERSION = 0.1

CONFIGURE_COMMON_FLAGS = -DENABLE_TESTS=ON
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64))
  CONFIGURE_COMMON_FLAGS += -DENABLE_BINDINGS_MONO=OFF
else
  dh_extra_args = ,cli
endif
CONFIGURE_FLAGS_gtk2 = -DFLAVOUR_GTK2=ON -DENABLE_GTKDOC=OFF
CONFIGURE_FLAGS_gtk3 = -DFLAVOUR_GTK3=ON -DENABLE_GTKDOC=ON

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

CFLAGS += -fPIC

%:
	dh $@ --with gir$(dh_extra_args)

override_dh_auto_configure: $(FLAVOURS:%=doconfigure-%)

doconfigure-%:
	dh_auto_configure --builddirectory=build/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVOURS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=build/$*

override_dh_auto_install: $(FLAVOURS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=build/$* --destdir=debian/tmp/$*

override_dh_install:
	find debian/tmp -name \*.la -exec rm {} \;
	find debian/tmp -name \*.a -exec rm {} \;
	rm -rf debian/tmp/*/usr/lib/mono
	rm -rf debian/tmp/*/usr/share/vala/vapi/ayatana-appindicator*-0.1.deps
	mkdir -p debian/tmp/gtk3/usr/share/doc/libayatana-appindicator3-dev/
	mv debian/tmp/gtk3/usr/share/gtk-doc/html/libayatana-appindicator3 debian/tmp/gtk3/usr/share/doc/libayatana-appindicator3-dev/html

	ln -s libayatana-appindicator3.so   debian/tmp/gtk3/usr/lib/$(DEB_HOST_MULTIARCH)/libappindicator3.so
	ln -s libayatana-appindicator3.so.1 debian/tmp/gtk3/usr/lib/$(DEB_HOST_MULTIARCH)/libappindicator3.so.1
	ln -s libayatana-appindicator.so   debian/tmp/gtk2/usr/lib/$(DEB_HOST_MULTIARCH)/libappindicator.so
	ln -s libayatana-appindicator.so.1 debian/tmp/gtk2/usr/lib/$(DEB_HOST_MULTIARCH)/libappindicator.so.1

	dh_install -plibayatana-appindicator1 --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator-doc --sourcedir=debian/tmp/gtk3
	dh_install -pgir1.2-ayatanaappindicator-0.1 --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator-dev --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator3-1 --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-appindicator3-dev --sourcedir=debian/tmp/gtk3
	dh_install -pgir1.2-ayatanaappindicator3-0.1 --sourcedir=debian/tmp/gtk3
	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
	    dh_install -plibayatana-appindicator3-0.1-cil --sourcedir=debian/tmp/gtk3; \
	    dh_install -plibayatana-appindicator3-0.1-cil-dev --sourcedir=debian/tmp/gtk3; \
	    dh_install -plibayatana-appindicator0.1-cil --sourcedir=debian/tmp/gtk2; \
	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
	fi

override_dh_missing:
	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
	    dh_missing -plibayatana-appindicator3-0.1-cil --fail-missing --sourcedir=debian/tmp/gtk3; \
	    dh_missing -plibayatana-appindicator3-0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk3; \
	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
	fi

override_dh_link:
	dh_link -plibayatana-appindicator-doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/debian/tmphome-gtk3/.local/share
	mkdir -p $(CURDIR)/debian/tmphome-gtk3/.cache
	export HOME=$(CURDIR)/debian/tmphome-gtk3 \
	    && export XDG_DATA_HOME=$(CURDIR)/debian/tmphome-gtk3/.local/share \
	    && export XDG_CACHE_HOME=$(CURDIR)/debian/tmphome-gtk3/.cache \
	    && unset DBUS_SESSION_BUS_ADDRESS \
	    && dh_auto_test --no-parallel --builddirectory=build/gtk3
	# View test's log file for better debugging of problems when built in clean chroots.
	if [ -e build/gtk3/tests/test-suite.log ]; then cat build/gtk3/tests/test-suite.log; fi
	rm -Rf $(CURDIR)/debian/tmphome-gtk3

	mkdir -p $(CURDIR)/debian/tmphome-gtk2/.local/share
	mkdir -p $(CURDIR)/debian/tmphome-gtk2/.cache
	export HOME=$(CURDIR)/debian/tmphome-gtk2 \
	    && export XDG_DATA_HOME=$(CURDIR)/debian/tmphome-gtk2/.local/share \
	    && export XDG_CACHE_HOME=$(CURDIR)/debian/tmphome-gtk2/.cache \
	    && unset DBUS_SESSION_BUS_ADDRESS \
	    && dh_auto_test --no-parallel --builddirectory=build/gtk2
	# View test's log file for better debugging of problems when built in clean chroots.
	if [ -e build/gtk2/tests/test-suite.log ]; then cat build/gtk2/tests/test-suite.log; fi
	rm -Rf $(CURDIR)/debian/tmphome-gtk2
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-appindicator/libayatana-appindicator-(.+)\.tar\.gz

## libayatana-appindicator 0.5.91

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(libayatana-appindicator C)

set(PROJECT_VERSION "0.5.91")
set(PROJECT_NAME "libayatana-appindicator")

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_GTKDOC "Enable building GTK documentation" OFF)
option(ENABLE_BINDINGS_VALA "Enable Vala bindings (GTK+-3.0 and beyond only)" ON)
option(ENABLE_BINDINGS_MONO "Enable Mono bindings" ON)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

# Check for prerequisites

option(FLAVOUR_GTK2 "Build against GTK+-2.0" OFF)
option(FLAVOUR_GTK3 "Build against GTK+-3.0" ON)

if (FLAVOUR_GTK2)
    set (FLAVOUR_GTK3 OFF)
endif()
if (FLAVOUR_GTK3)
    set (FLAVOUR_GTK2 OFF)
endif()

set(DEPS glib-2.0>=2.58)

if (FLAVOUR_GTK3)
    set(DEPS
        ${DEPS}
        ayatana-indicator3-0.4>=0.8.4
        gtk+-3.0>=3.24
        dbusmenu-gtk3-0.4
    )
elseif (FLAVOUR_GTK2)
    set(DEPS
        ${DEPS}
        ayatana-indicator-0.4>=0.8.4
        gtk+-2.0>=2.18
        dbusmenu-gtk-0.4
    )
endif()

if(ENABLE_TESTS)
    set(DEPS ${DEPS} dbus-1>=1.12 dbus-glib-1>=0.82)
endif()

include(GNUInstallDirs)
find_package(PkgConfig REQUIRED)
pkg_check_modules(PROJECT_DEPS REQUIRED ${DEPS})

if (ENABLE_GTKDOC)
    find_program (GTKDOC "gtkdoc-scan")
    if (NOT GTKDOC)
        message(WARNING "Building the gtk-doc API documentation is enabled, but the gtkdoc-scan executable has not been found.  Disabling API documentation building, although requested.")
        set (ENABLE_GTKDOC OFF)
    endif()
endif()

# Make everything

add_subdirectory(src)
add_subdirectory(bindings)
if (ENABLE_GTKDOC)
    add_subdirectory(docs)
endif()

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()
    add_subdirectory(tests)
    add_subdirectory(example)

    if(ENABLE_COVERAGE)

        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(TARGETS "ayatana-appindicator3" TESTS "test-libappindicator" "test-libappindicator-dbus-client" "test-libappindicator-dbus-server" "test-libappindicator-status-client" "test-libappindicator-status-server" "test-libappindicator-fallback-item" "test-libappindicator-fallback-watcher" FILTER /usr/include ${CMAKE_BINARY_DIR}/*)

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "GTK+-3.0 build: ${FLAVOUR_GTK3}")
message(STATUS "GTK+-2.0 build: ${FLAVOUR_GTK2}")
message(STATUS "Vala bindings: ${ENABLE_BINDINGS_VALA}")
message(STATUS "Mono bindings: ${ENABLE_BINDINGS_MONO}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "API Documentation: ${ENABLE_GTKDOC}")

=== example/CMakeLists.txt ===
if (FLAVOUR_GTK3)
    set (ayatana_appindicator_gtkver "ayatana-appindicator3")
    set (gtk_valapkgver "gtk+-3.0")
elseif (FLAVOUR_GTK2)
    set (ayatana_appindicator_gtkver "ayatana-appindicator")
    set (gtk_valapkgver "gtk+-2.0")
endif()

# simple-client-vala.c

# Vala bindings are only available for FLAVOUR_GTK3

if (FLAVOUR_GTK3)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c"
        DEPENDS "bindings-vala"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND
        ${VALA_COMPILER}
        --pkg ${ayatana_appindicator_gtkver}-0.1
        --pkg ${gtk_valapkgver}
        --vapidir=${CMAKE_BINARY_DIR}/bindings/vala
        -C simple-client-vala.vala
        --directory=${CMAKE_CURRENT_BINARY_DIR}
        VERBATIM
        COMMAND
        sed
        -i "s|#include\\s*<\\s*libayatana-appindicator/app-indicator.h\\s*>||g"
        "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c"
    )

    # simple-client-vala

    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c" PROPERTIES COMPILE_FLAGS " -include ${CMAKE_SOURCE_DIR}/src/app-indicator.h")
    add_executable("simple-client-vala" "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c")
    target_include_directories("simple-client-vala" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
    target_link_libraries("simple-client-vala" "${PROJECT_DEPS_LIBRARIES} -l${ayatana_appindicator_gtkver} -L${CMAKE_BINARY_DIR}/src")
    add_dependencies("simple-client-vala" "${ayatana_appindicator_gtkver}")

endif()

# simple-client

add_executable("simple-client" "${CMAKE_CURRENT_SOURCE_DIR}/simple-client.c")
target_compile_definitions("simple-client" PUBLIC LOCAL_ICON="${CMAKE_CURRENT_SOURCE_DIR}/simple-client-test-icon.png")
target_include_directories("simple-client" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("simple-client" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries("simple-client" "${PROJECT_DEPS_LIBRARIES} -l${ayatana_appindicator_gtkver} -L${CMAKE_BINARY_DIR}/src")
add_dependencies("simple-client" "${ayatana_appindicator_gtkver}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -118,7 +118,6 @@
 
 # libayatana-appindicator{,3}.so
 
-set_source_files_properties(${SOURCES} PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS})
 add_library("${ayatana_appindicator_gtkver}" SHARED ${SOURCES})
 set_target_properties("${ayatana_appindicator_gtkver}" PROPERTIES VERSION 1.0.0 SOVERSION 1)
 target_compile_definitions("${ayatana_appindicator_gtkver}" PUBLIC G_LOG_DOMAIN="libayatana-appindicator")

=== debian/changelog ===
libayatana-appindicator (0.5.91-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001 and 0002. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Apr 2022 00:03:54 +0200

libayatana-appindicator (0.5.90-8) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    + Version the provides to match depends constraints.
    + Use standard Conflicts:/Replaces:/Provides: for libappindicator
      without specifying versions (lp: #1964964).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Apr 2022 17:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 XS-Python-Version: all
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake (>= 3.13),
